/*
This class is responsible for creating the connection 
to the database (pool) and for executing the .sql file
whenever the server starts.
*/
const mysql = require("mysql2");
const fs = require("fs");
const path = require("path");
require("dotenv").config();

// Initialize the pool instance to read the SQL startup file
const pool = mysql.createPool({
  host: process.env.NODE_ENV === "test" ? "test-mysql" : process.env.DB_HOST,
  user: process.env.NODE_ENV === "test" ? "test_user" : process.env.DB_USER,
  database:
    process.env.NODE_ENV === "test"
      ? "corps_directory_test_db"
      : process.env.DB_NAME,
  password:
    process.env.NODE_ENV === "test" ? "test_password" : process.env.DB_PASSWORD,
  waitForConnections: true,
  connectionLimit: 10,
  queueLimit: 0,
});

console.log("Database Host: ", process.env.DB_HOST);
console.log("Database user: ", process.env.DB_USER);
console.log("Database name: ", process.env.DB_NAME);

module.exports = { pool: pool.promise() };
